<template>
<v-footer
  dark
  class="d-print-none"
  height="auto"
  style="border-top: 7px solid #555; font-size: 12px"
  >
  <v-container class="grey--text text--darken-1">
    <ul>
      <li><a href="https://baumanka.pashinin.com">Студентам ИУ-2 МГТУ им. Баумана</a></li>
      <li><a href="https://gitlab.com/pashinin.com/pashinin">Исходный код (Gitlab)</a></li>
    </ul>

    <v-container px-0 py-2>
      © {{year}} Сергей Пашинин. v{{ version }}
    </v-container>
  </v-container>
</v-footer>
</template>



<script>
export default {
  data() {
    return {
      year: (new Date()).getFullYear(),
    };
  },
  computed: {
    version() {
      return process.env.VUE_APP_VERSION;
    },
  },
};
</script>


<style scoped lang="scss">
ul {
  list-style: none;
  padding: 0 !important;
}
li {
  margin-bottom: 0.9em;
}
a {
  color: #bbb !important;
  text-decoration: none;
  &:hover {
    color: #fff !important;
  }
}
</style>
